/*
----------------------------------------------------------------------

	AdAstra - Real Time Kernel

	testEth.h	LWIP configuration and test.

	When		Who		What
	29/07/19	R.Jacq	Creation
	10/12/19	ac		Cleaned

----------------------------------------------------------------------
*/

#ifndef APPLICATION_TESTETH_H_
#define APPLICATION_TESTETH_H_
//--------------------------------------------------------------------------------

#ifdef __cplusplus
 extern "C" {
#endif

/* MAC address is defined in stm32f4xx_hal_conf.h */

/* Static IP ADDRESS */
#define IP_ADDR0			192
#define IP_ADDR1			168
#define IP_ADDR2			0
#define IP_ADDR3			129

/* NETMASK */
#define NETMASK_ADDR0		255
#define NETMASK_ADDR1		255
#define NETMASK_ADDR2		255
#define NETMASK_ADDR3		0

/* Gateway Address */
#define GW_ADDR0			192
#define GW_ADDR1			168
#define GW_ADDR2			0
#define GW_ADDR3			254

/* Exported functions ------------------------------------------------------- */
 void	testEth		(void) ;

#ifdef __cplusplus
}
#endif

//--------------------------------------------------------------------------------
#endif /* APPLICATION_TESTETH_H_ */
